------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情11
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>243
--/reloadlua Script/TaoistNewAreaTask1.lua

CppScriptMgr:SetViewPosByCell(50, 25)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
--怪物
local playerMonster1 = CppScriptMgr:AddPlayer(175,49, 22, "Jiro")
playerMonster1:SetZoomPercent(200);
playerMonster1:AddEffect("KillerPattern");
playerMonster1:AddEffect("Digong_BG");

-- CppScriptMgr:AddEffect("Digong_BG", 49, 22)
-- CppScriptMgr:AddEffect("Digong_BG", 49, 22)
-- CppScriptMgr:AddEffect("Digong_BG", 49, 22)

local hero = CppScriptMgr:QueryHero()
hero:SetPos(48,30)
hero:SetDir(4)

-- 喊话
hero:Say("You really are here!", 3000)
CppScriptMgr:WaitMilSec(3000)

playerMonster1:Say("Hmph! Don`t you think you can challenge me just because you`ve collected those 4 types of Taoist Tools!", 3000)
CppScriptMgr:WaitMilSec(3000)


CppScriptMgr:AddEffect("5fire", 48,30)
CppScriptMgr:AddEffect("5fire", 48,30)
CppScriptMgr:AddEffect("5fire", 48,30)
hero:Say("Today, I`ll let you taste the power of 5-element Taoist Tools!", 3000)
CppScriptMgr:AddEffect("5fire", 48,30)
CppScriptMgr:AddEffect("5fire", 48,30)
CppScriptMgr:AddEffect("5fire", 48,30)
CppScriptMgr:WaitMilSec(3000)


-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(1000)
CppScriptMgr:WaitMilSec(1000)